#!/bin/bash
# This file will monitor the directory used by the system pulse-audio daemon
# and maintain the Permissions to be 0x755 which will allow switching
# between audio sources, specifically when using Bluetooth headphones.

PA_PATH="/var/run/pulse"
MODE="755"
EVENTS="attrib"
STAT="/usr/bin/stat"
INOTIFYWAIT="/usr/bin/inotifywait"

if [[ ! -d $PA_PATH ]]; then
  mkdir -p -m=$MODE "$PA_PATH"
fi

"$INOTIFYWAIT" -mq -e "$EVENTS" --format %w $PA_PATH | while read FILE;
    do echo "Permissions changed on file $FILE" ;
    CURRENT_MODE=$("$STAT" -c "%a" $PA_PATH)
    if [ ! "$CURRENT_MODE" = "$MODE" ]; then
        /usr/bin/sudo chmod $MODE $PA_PATH
    fi
    "$STAT" -c "%n %a" $PA_PATH
done
